From e05b2daf4bd912d01ce2643dd4eec4874df8d34a Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Fri, 23 Mar 2018 23:01:54 -0400
Subject: [PATCH 7/7] Use NULL relids set.

---
 src/backend/optimizer/plan/planner.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/src/backend/optimizer/plan/planner.c b/src/backend/optimizer/plan/planner.c
index 90eddf73fd..12375e2cf2 100644
--- a/src/backend/optimizer/plan/planner.c
+++ b/src/backend/optimizer/plan/planner.c
@@ -6772,9 +6772,13 @@ create_tlist_paths(PlannerInfo *root,
 	 * Create a new upper relation to represent the result of scan/join
 	 * projection.
 	 */
-	tlist_rel = fetch_upper_rel(root, UPPERREL_TLIST, input_rel->relids);
-	if (is_other_rel)
+	if (!is_other_rel)
+		tlist_rel = fetch_upper_rel(root, UPPERREL_TLIST, NULL);
+	else
+	{
+		tlist_rel = fetch_upper_rel(root, UPPERREL_TLIST, input_rel->relids);
 		tlist_rel->reloptkind = RELOPT_OTHER_UPPER_REL;
+	}
 	tlist_rel->rows = input_rel->rows;
 	tlist_rel->reltarget = llast_node(PathTarget, scanjoin_targets);
 	tlist_rel->consider_parallel = input_rel->consider_parallel &&
-- 
2.14.3 (Apple Git-98)

